.TH decompile 6 "December 9, 2017" scummvm-tools
.SH NAME
decompile \- Engine script decompiler
.SH SYNOPSIS
.B decompile \-h
.br
.B decompile \-l
.br
.B decompile \-h \-e
.RI < engine >
.br
.B decompile
.RB [ \-e
.RI < engine >]
.RB [ \-d
.RI < file >]
.RB [ \-g
.RI < file >]
.RB [ \-D ]
.RB [ \-G ]
.RB [ \-u ]
.RB [ \-v
.RI < variant >]
.RB [ \-s ]
.RI < file >
.SH DESCRIPTION
.B decompile
decompiles scripts for a number of game engines.
.PP
.B decompile \-h
or
.B decompile \-\-help
displays a short help summary.
.PP
.B decompile \-l
or
.B decompile \-\-list
lists the supported game engines.
.PP
.B decompile \-h \-e
or
.B decompile \-\-help \-\-engine
.RI < engine >
lists the variants available for the given \fIengine\fP.
.PP
Other forms of the command decompile the given \fIfile\fP, using the
game engine specified using the
.B \-e
or
.B \-\-engine
option:
.TP
.B groovie
Groovie, as used by The 7th Guest and The 11th Hour;
.TP
.B kyra2
Legend of Kyrandia: Hand of Fate;
.TP
.B scummv6
SCUMM v6.
.PP
Variants are specified using the
.B \-v
or
.B \-\-variant
option:
.TP
.B t7g
The 7th Guest (for the
.B groovie
engine);
.TP
.B v2
version 2, from The 11th Hour onwards (for the
.B groovie
engine);
.TP
.B kyra2
Legend of Kyrandia: Hand of Fate, floppy-disk version;
.TP
.B kyra2-talkie
Legend of Kyrandia: Hand of Fate, CD-ROM (talkie) version.
.SH OPTIONS
.TP
.BR \-d ", " \-\-dump\-disassembly " <" \fIfile\fP >
dumps the disassembly to the given \fIfile\fP (standard out if
\fIfile\fP is omitted).
.TP
.BR \-g ", " \-\-dump\-graph " <" \fIfile\fP >
dumps the control flow graph, in
.BR dot ( 1 )
format, to the given \fIfile\fP (standard out if \fIfile\fP is
omitted).
.TP
.BR \-D ", " \-\-only\-disassembly
stops after disassembly; implies \fB\-d\fP.
.TP
.BR \-G ", " \-\-only\-graph
stops after generating the control flow graph; implies \fB\-g\fP.
.TP
.BR \-u ", " \-\-show\-unreachable
show the address and contents of unreachable groups in the script.
.TP
.BR \-s ", " \-\-no\-stack\-effect
leaves out the stack effect when printing raw instructions.
.PP
Note that
.B \-d
or
.B \-g
without arguments
.B must not
be specified immediately before the input file.
.SH AUTHORS
This manual page was adapted from the program usage information by
Stephen Kitt <skitt@debian.org>, for the Debian GNU/Linux system (but
may be used by others). It was last modified for \fBscummvm-tools\fP
version 2.0.
